--- old/usr/src/uts/i86pc/dboot/dboot_asm.s	Tue Dec 18 16:57:04 2012
+++ new/usr/src/uts/i86pc/dboot/dboot_asm.s	Tue Dec 18 16:57:04 2012
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 
@@ -87,6 +85,12 @@
 	ret
 	SET_SIZE(inb)
 
+	ENTRY(htonl)
+	movl    %edi, %eax
+	bswap   %eax
+	ret
+	SET_SIZE(htonl)
+
 #elif defined(__i386)
 
 	.code32
@@ -128,6 +132,12 @@
 	ret
 	SET_SIZE(inb)
 
+	ENTRY(htonl)
+	movl    4(%esp), %eax
+	bswap   %eax
+	ret
+	SET_SIZE(htonl)
+
 #endif	/* __i386 */
 
 #endif /* __lint */
